/*
 * Copyright (c) 2012, 2013 Dominik Taborsky
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * - Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 * - The name of the author may not be used to endorse or promote products
 *   derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

 /** @addtogroup hdisk
 * @{
 */
/** @file
 */


#include <loc.h>
#include <tinput.h>
#include <libmbr.h>

#include "common.h"
#include "func_none.h"

static void not_implemented();

int add_none_part(tinput_t * in, union table_data * data)
{
	not_implemented();
	return EOK;
}

int delete_none_part(tinput_t * in, union table_data * data)
{
	not_implemented();
	return EOK;
}

int new_none_table(tinput_t * in, union table_data * data)
{
	not_implemented();
	return EOK;
}

int print_none_parts(union table_data * data)
{
	not_implemented();
	return EOK;
}

int write_none_parts(service_id_t dev_handle, union table_data * data)
{
	not_implemented();
	return EOK;
}

int extra_none_funcs(tinput_t * in, service_id_t dev_handle, union table_data * data)
{
	not_implemented();
	return EOK;
}

static void not_implemented()
{
	printf("No format selected.\n");
}
